require "scripts/style.lua"

--[[DisplayDialog{
	"scripts/yesno.lua",
	yes=function()
			SellCart();
			CloseCellarWindow();
	   end,
	no=function()
			ClearCart()
	        CloseCellarWindow();
	   end,
	title = "cellarverifytitle",
	body = "cellarverifybody",
};]]--

MakeDialog
{
	name=name, -- Remember, this is like saying table['name']=name, so it works.
    
    FaderWindow
	{
		w=1024, h=768,
		wait=0,
		duration=100,
		fit = true,
		startalpha = 0,
		finalalpha = 1,
		skip = false,
    
		Bitmap
		{
			image="backgrounds/shade",
			alpha = 0.99,
		},
		Bitmap
		{
			image="minigame1/finishdialog",
			x=kCenter,
			y=kCenter,
			
			--SetStyle(DialogBodyText),
			Text
			{
				name = "_body",
				label= "grapesharvested",
				font = {"fonts/cbox.mvec",
						28,
						BlackColor},
				flags = kHAlignCenter + kVAlignCenter,
				x=48,y=64,w=kMax-64,h=kMax-110,
			},
			--SetStyle(EmptyButtonStyle),
			Button
			{
				tx=40, ty=15,
				tw=40, th=40,
				label = "ok",
				font = StandardButtonFont,
				graphics = 
				{
					"buttons/skipidle",
					"buttons/skipdown",
					"buttons/skipover",
				},
				name = "finish_viniculture",
				close = true,
				x = 142,
				y = 224,
			},
		},
	},
	
} -- MakeDialog
PlayPopupSound();